QT += \ 
    core          \
    gui           \
    dbus          \
    printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TEMPLATE = app

LIBS += -lpthread

# 配置gsettings
CONFIG += link_pkgconfig
PKGCONFIG += gsettings-qt 


#kabase相关文件
QT += svg
PKGCONFIG += kysdk-kabase
LIBS += -lopencv_core -lopencv_imgcodecs -lopencv_imgproc
LIBS += -L/usr/lib/kysdk/kysdk-base/ -lkylog
INCLUDEPATH += \
    /usr/include/opencv4/ \
    /usr/include/kysdk/kysdk-base/

CONFIG += \
    c++11

TARGET = kylin-photo-printer
TRANSLATIONS = $$PWD/translations/kylin-photo-printer_en.ts \
               $$PWD/translations/kylin-photo-printer_zh_CN.ts

target.path += /usr/bin
target.source += $$target
schemes.path += /usr/share/glib-2.0/schemas/
schemes.files += $$PWD/data/org.kylin.photo.printer.gschema.xml
translationsFiles.path = /usr/share/kylin-photo-printer/translations/
translationsFiles.files += $$PWD/translations/*.qm

INSTALLS += \
    target  \
    schemes \
    translationsFiles

INCLUDEPATH += \
    $$PWD/.

SOURCES += \
# common
    $$PWD/photo_printer.cpp \
    $$PWD/main.cpp

HEADERS += \
# common
    $$PWD/photo_printer.h