#ifndef CUSTOM_LOG_H
#define CUSTOM_LOG_H

#include <QString>

enum class LogType : int {
    INFO = 0,
    DEBUG,
    WARNING,
    CRITICAL,
    FATAL,
};

class CustomLog
{
private:
    QString filePath = QString("");

public:
    CustomLog(const QString &name);
    ~CustomLog();
    void setName(const QString &name);
    void info(const QString &info);
    void writeLog(LogType type, const QString &str);
};

#endif // CUSTOM_LOG_H